Version 9.0.1

Date de sortie

21 avril 2022

Compatibilité

Android 5.1 (Lollipop), Android 6 (Marshmallow), Android 7 and 7.1 (Nougat), Android 8 and 8.1 (Oreo), Android 9.0 (Pie), Android 10.0, Android 11.0 (R), Android 12.0 (S)

Cette version corrige des problèmes mineurs avec le district 126 - Croatie et rend l’application plus conviviale pour les Lions belges potentiels puisque nous disposons désormais d’une interface utilisateur néerlandaise.

Nouveautés

Le support pour la Croatie a été ajouté dans la Version 9.0.0 et nous avons trouvé des problèmes mineurs que nous avons corrigés avec cette nouvelle version.

En outre, l’application est désormais disponible en néerlandais. Cela signifie que LionsBase mobile est désormais disponible en 10 langues : Anglais, néerlandais, français, allemand, italien, finnois, portugais, espagnol, suédois et croate.

Autres changements

Par ailleurs, quelques bogues ont été corrigés et quelques améliorations mineures intégrées :

  • quelques drapeaux de pays étaient manquants dans l’application mobile ;

  • les traductions ont été améliorées ;

  • les nouvelles peuvent maintenant référencer la photo de l’auteur avec une URI externe, ce qui est pratique pour certaines sources RSS ;

  • diverses bibliothèques internes ont été mises à niveau.

À propos de la grande compatibilité avec les versions d’Android

Comme vous le voyez, nous faisons de notre mieux pour garder la compatibilité avec des versions assez anciennes d’Android (Android 5.1 - Lollipop date de mars 2015 et cela représente un saut gigantesque dans le passé dans le monde informatique).

Si nous conservons une compatibilité aussi ancienne (par rapport aux utilisateurs d’Apple), cela est lié à un fait très regrettable : les smartphones et tablettes Android sont généralement maintenus beaucoup moins longtemps que ceux d’Apple. En fait, des fabricants tels que Samsung vendent leurs appareils avec (généralement) la dernière version disponible d’Android à ce moment-là et fournissent des mises à jour majeures du système pour une durée que nous estimons à environ 2 ans, contrairement à Apple qui supporte ses appareils pendant 6 ans. Nous comprenons que les utilisateurs de l’application LionsBase ne voient pas la nécessité de se procurer un nouvel appareil tous les 2 ou 3 ans (ce qui est tout à fait légitime) et, à ce titre, nous nous efforçons de maintenir la compatibilité aussi longtemps que possible.

Au fur et à mesure que des problèmes surgissent en raison de cette compatibilité et que le nombre de personnes utilisant encore activement les anciens appareils diminue, nous pouvons à tout moment supprimer le support de certaines anciennes versions.

Note

Vous êtes sur iOS ? Veuillez lire les notes de mise à jour correspondantes.

Documentation created using Sphinx 4.3.2 and integrated in TYPO3 with restdoc.